XformOp.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcGeom/Foundation.h>`
`#include <set>`
Include dependency graph for XformOp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformOp
| Xform Operation This class holds the data about a particular transform operation, but does not hold the actual data to calculate a 4x4 matrix. It holds the type of operation (Translate, Rotate, Scale, Matrix), a hint about the type which can be interpreted by packages like Maya, and what particular parts of the operations can change over time. More...

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Typedefs

typedef std::vector< XformOp > | Alembic::AbcGeom::ALEMBIC_VERSION_NS::XformOpVec

## Enumerations

enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::MatrixHint { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kMatrixHint = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kMayaShearHint = 1 }
| The Matrix identifier hint. Some 3d packages (like Maya) may have certain transformation operations that aren't supported in other packages. MatrixHint is meant to help with reading back into applications that natively support the type. More...
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::RotateHint { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateHint = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotateOrientationHint = 1 }
| The Rotate identifier hint. Some 3d packages (like Maya) have multiple rotation operations that are mathmatically of the same type. RotateHint is meant to help disambiguate these similiar mathmatical types when reading back into applications that natively support the type. More...
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ScaleHint { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kScaleHint = 0 }
| The Scale identifier hint. Some 3d packages (like Maya) have multiple transformation operations that are mathmatically of the same type. ScaleHint is meant to help disambiguate these similiar mathmatical types when reading back into applications that natively support that type. More...
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::TranslateHint { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kTranslateHint = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kScalePivotPointHint = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kScalePivotTranslationHint = 2 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotatePivotPointHint = 3 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kRotatePivotTranslationHint = 4 }
| The Translation identifier hint. Some 3d packages (like Maya) have multiple transformation operations that are mathmatically of the same type. TranslateHint is meant to help disambiguate these similiar mathmatical types when reading back into applications that natively support the type. More...